This allows you to use the samba style @netgroup names in hosts allow
and hosts deny.

This patch still needs autoconf support for portability.

--- orig/access.c	2004-09-25 16:57:35
+++ access.c	2004-04-25 17:20:47
@@ -22,11 +22,14 @@
   */
 
 #include "rsync.h"
+#include <netdb.h>
 
 
 static int match_hostname(char *host, char *tok)
 {
 	if (!host || !*host) return 0;
+ 	if (*tok == '@' && tok[1])
+		return innetgr(tok + 1, host, NULL, NULL);
 	return wildmatch(tok, host);
 }
 
